import { createApp } from 'vue'
import { initStore } from './store'
import { initRouter } from './router'
import App from './App.vue'

//ele
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'

import '@/styles/global.scss'

import vue3TreeOrg from 'vue3-tree-org';
import "vue3-tree-org/lib/vue3-tree-org.css";

function setupApp() {
  const app = createApp(App)
  initStore(app)

  initRouter(app)

  app.use(ElementPlus,{locale: zhCn})
  app.use(vue3TreeOrg)
  app.mount('#app')
}

setupApp()